/* */

options results
signal on halt
signal on break_c
signal on error

If ~Show("l","rexxsupport.library") then do
   Call Addlib("rexxsupport.library",0,-30)
   If Result=0 then Exit
   end

port=openport("Lse")

if (port='0000 0000'X) then do
	say "Couldn't open port."
	exit
	end

do forever
	call waitpkt "Lse"
	pkt=Getpkt("Lse")
	if pkt="0000 0000"X then iterate

	arg=getarg(pkt)
	parse var arg arg '00'x
	Cmd=upper(Left(Arg,2))
	select
		when Cmd='OW' then Parse Var Arg 'OW UC' FileName .
		when Cmd='LE' then Parse Var Arg 'LE ' ErrFile
		when Cmd='NE' then do
			FileName=Left(FileName, Length(FileName)-1);
			call SetClip("ErrParse_ErrFile", ErrFile);
			call SetClip("ErrParse_ErrLine", "1");
			address command "TTX "filename" Macro ErrParse"
			End
		otherwise nop
		end
	call reply(pkt,0)
	end

halt:
error:
break_c:
	call closeport("Lse")
	exit
